Name: xkb-theolinux
Version: 0.4.5
Release: 4_fc5
License: GPL v.3
Source: xkb-theolinux-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Group: User Interface/X
Summary: The TheoLinux xkb keymap collection
URL: http://theolinux.evangnet.cz/
 
%description
The TheoLinux xkb keymap collection consist as of now of
keymaps for typing biblical hebrew. It has three variants:
 * SIL (see http://scripts.sil.org/)
 * Tiro (see http://scripts.sil.org/)
 * Tiro Extended

There are also two keymaps for ugaritic and phoenician.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/X11/xkb/symbols/
cp theolinux/biblical_hebrew $RPM_BUILD_ROOT%{_datadir}/X11/xkb/symbols
cp theolinux/phoenician $RPM_BUILD_ROOT%{_datadir}/X11/xkb/symbols
cp theolinux/ugaritic $RPM_BUILD_ROOT%{_datadir}/X11/xkb/symbols
mkdir -p $RPM_BUILD_ROOT%{_datadir}/X11/xkb/rules
cp theolinux/xorg-theolinux-insert.xml $RPM_BUILD_ROOT%{_datadir}/X11/xkb/rules

%clean
rm -rf $RPM_BUILD_ROOT

%post
( cd %{_datadir}/X11/xkb/rules
if  test -f xorg.xml ;
then
 XXML=xorg.xml
else
 if test -f xfree86.xml ;
 then
  XXML=xfree86.xml
 fi
fi

if  test -f xorg.lst ;
then
 XLST=xorg.lst
else
 if test -f xfree86.lst ;
 then
  XLST=xfree86.lst
 else
  echo "Error! xfree86.lst or xorg.lst not found!"
  exit -1
 fi
fi

if [ "$XXML" != "" ] ; then
cp "$XXML" "$XXML.save"
ed -s $XXML > /dev/null << END
/^[ \t]*<layoutList>
.r xorg-theolinux-insert.xml
w
END
fi
  
cp "$XLST" "$XLST.save"
ed -s $XLST > /dev/null << END
/^\![ \t]*layout
a
  biblical_hebrew	Biblical Hebrew
  phoenician	Phoenician
  ugaritic	Ugaritic
.
w
END
)

%postun
if [ "$1" = "0" ]; then
( cd %{_datadir}/X11/xkb/rules

if  test -f xorg.xml ;
then
 XXML=xorg.xml
else
 if test -f xfree86.xml ;
 then
  XXML=xfree86.xml
 fi
fi

if  test -f xorg.lst ;
then
 XLST=xorg.lst
else
 if test -f xfree86.lst ;
 then
  XLST=xfree86.lst
 else
  echo "Error! xfree86.lst or xorg.lst not found!"
  exit -1
 fi
fi

if [ "$XXML" != "" ] ; then
if grep theolinux $XXML > /dev/null
then
echo "Uninstalling theolinux from $XXML"
ed -s $XXML > /dev/null << END
/START__theolinux.evangnet.cz
ks
/STOP__theolinux.evangnet.cz
's,.d
w
END
fi
fi
  
if grep biblical_hebrew $XLST > /dev/null
then
echo "Uninstalling theolinux from $XLST"
ed -s $XLST > /dev/null << END
/^ *biblical_hebrew
d
/^ *phoenician
d
/^ *ugaritic
d
w
END
fi


)
fi


%files
%defattr(-,root,root)
%doc theolinux/README*
%{_datadir}/X11/xkb/symbols/biblical_hebrew
%{_datadir}/X11/xkb/symbols/phoenician
%{_datadir}/X11/xkb/symbols/ugaritic
%{_datadir}/X11/xkb/rules/xorg-theolinux-insert.xml

%changelog
* Tue Apr 16 2006 Petr Tomasek <tomasek@etf.cuni.cz>
- Added phoenician and ugaritic layouts.
- Updated the package to be used with Fedora Core 5

* Tue Mar 07 2006 Petr Tomasek <tomasek@etf.cuni.cz>
- Updated the Tiro and "Tiro Extended" keymaps according to the latest
  (v 1.2) version of the SBL/Tiro (windows) keymap. Minor bugfixes.

* Sun Mar 05 2006 Petr Tomasek <tomasek@etf.cuni.cz>
- Version 0.4: added "Tiro Extended", small fixes

* Sun Mar 05 2006 Petr Tomasek <tomasek@etf.cuni.cz>
- Initial package
